#ifndef CLAUNCHNETPOSITIVEVIEW_H
#define CLAUNCHNETPOSITIVEVIEW_H

#include <Control.h>
#include <String.h>

// constants
#define NET_POSITIVE_SIGN		"application/x-vnd.Be-NPOS"

class CLaunchNetPositiveView : public BControl
{
protected:
	BString		_URL;
	BString		_text;
	bool		_entered;
	
public:
	CLaunchNetPositiveView(BRect frame, const char *name,const char *text,const char* URL);
	virtual	~CLaunchNetPositiveView();

private:
	virtual void	MouseDown(BPoint point);
	virtual void	MouseMoved(BPoint point, uint32 transit,const BMessage *message);
	virtual void	Draw(BRect frame);
};

#endif
